diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/comment-template.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/comment-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/comment-template.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/comment-template.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 810,820 ****
   * @uses $post Gets the ID of the current post for the token
   */
  function wp_comment_form_unfiltered_html_nonce() {
! 	global $post;
! 
! 	$post_id = 0;
! 	if ( !empty($post) )
! 		$post_id = $post->ID;
  
  	if ( current_user_can( 'unfiltered_html' ) ) {
  		wp_nonce_field( 'unfiltered-html-comment_' . $post_id, '_wp_unfiltered_html_comment_disabled', false );
--- 810,817 ----
   * @uses $post Gets the ID of the current post for the token
   */
  function wp_comment_form_unfiltered_html_nonce() {
! 	$post = get_post();
! 	$post_id = $post ? $post->ID : 0;
  
  	if ( current_user_can( 'unfiltered_html' ) ) {
  		wp_nonce_field( 'unfiltered-html-comment_' . $post_id, '_wp_unfiltered_html_comment_disabled', false );
***************
*** 897,903 ****
  	update_comment_cache($wp_query->comments);
  
  	if ( $separate_comments ) {
! 		$wp_query->comments_by_type = &separate_comments($comments);
  		$comments_by_type = &$wp_query->comments_by_type;
  	}
  
--- 894,900 ----
  	update_comment_cache($wp_query->comments);
  
  	if ( $separate_comments ) {
! 		$wp_query->comments_by_type = separate_comments($comments);
  		$comments_by_type = &$wp_query->comments_by_type;
  	}
  
***************
*** 907,913 ****
  		$overridden_cpage = true;
  	}
  
! 	if ( !defined('COMMENTS_TEMPLATE') || !COMMENTS_TEMPLATE)
  		define('COMMENTS_TEMPLATE', true);
  
  	$include = apply_filters('comments_template', STYLESHEETPATH . $file );
--- 904,910 ----
  		$overridden_cpage = true;
  	}
  
! 	if ( !defined('COMMENTS_TEMPLATE') )
  		define('COMMENTS_TEMPLATE', true);
  
  	$include = apply_filters('comments_template', STYLESHEETPATH . $file );
***************
*** 1331,1343 ****
  	function start_el( &$output, $comment, $depth, $args, $id = 0 ) {
  		$depth++;
  		$GLOBALS['comment_depth'] = $depth;
  
  		if ( !empty($args['callback']) ) {
  			call_user_func($args['callback'], $comment, $args, $depth);
  			return;
  		}
  
- 		$GLOBALS['comment'] = $comment;
  		extract($args, EXTR_SKIP);
  
  		if ( 'div' == $args['style'] ) {
--- 1328,1340 ----
  	function start_el( &$output, $comment, $depth, $args, $id = 0 ) {
  		$depth++;
  		$GLOBALS['comment_depth'] = $depth;
+ 		$GLOBALS['comment'] = $comment;
  
  		if ( !empty($args['callback']) ) {
  			call_user_func($args['callback'], $comment, $args, $depth);
  			return;
  		}
  
  		extract($args, EXTR_SKIP);
  
  		if ( 'div' == $args['style'] ) {
***************
*** 1431,1437 ****
  		if ( empty($comments) )
  			return;
  		if ( 'all' != $r['type'] ) {
! 			$comments_by_type = &separate_comments($comments);
  			if ( empty($comments_by_type[$r['type']]) )
  				return;
  			$_comments = $comments_by_type[$r['type']];
--- 1428,1434 ----
  		if ( empty($comments) )
  			return;
  		if ( 'all' != $r['type'] ) {
! 			$comments_by_type = separate_comments($comments);
  			if ( empty($comments_by_type[$r['type']]) )
  				return;
  			$_comments = $comments_by_type[$r['type']];
***************
*** 1443,1449 ****
  			return;
  		if ( 'all' != $r['type'] ) {
  			if ( empty($wp_query->comments_by_type) )
! 				$wp_query->comments_by_type = &separate_comments($wp_query->comments);
  			if ( empty($wp_query->comments_by_type[$r['type']]) )
  				return;
  			$_comments = $wp_query->comments_by_type[$r['type']];
--- 1440,1446 ----
  			return;
  		if ( 'all' != $r['type'] ) {
  			if ( empty($wp_query->comments_by_type) )
! 				$wp_query->comments_by_type = separate_comments($wp_query->comments);
  			if ( empty($wp_query->comments_by_type[$r['type']]) )
  				return;
  			$_comments = $wp_query->comments_by_type[$r['type']];
***************
*** 1524,1532 ****
  	$req = get_option( 'require_name_email' );
  	$aria_req = ( $req ? " aria-required='true'" : '' );
  	$fields =  array(
! 		'author' => '<p class="comment-form-author">' . '<label for="author">' . __( 'Name' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
  		            '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
! 		'email'  => '<p class="comment-form-email"><label for="email">' . __( 'Email' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
  		            '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
  		'url'    => '<p class="comment-form-url"><label for="url">' . __( 'Website' ) . '</label>' .
  		            '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>',
--- 1521,1529 ----
  	$req = get_option( 'require_name_email' );
  	$aria_req = ( $req ? " aria-required='true'" : '' );
  	$fields =  array(
! 		'author' => '<p class="comment-form-author">' . '<label for="author">' . __( 'Name' ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
  		            '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
! 		'email'  => '<p class="comment-form-email"><label for="email">' . __( 'Email' ) . ( $req ? ' <span class="required">*</span>' : '' ) . '</label> ' .
  		            '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
  		'url'    => '<p class="comment-form-url"><label for="url">' . __( 'Website' ) . '</label>' .
  		            '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>',
***************
*** 1537,1543 ****
  		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
  		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
  		'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
! 		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
  		'comment_notes_after'  => '<p class="form-allowed-tags">' . sprintf( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s' ), ' <code>' . allowed_tags() . '</code>' ) . '</p>',
  		'id_form'              => 'commentform',
--- 1534,1540 ----
  		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
  		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
  		'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
! 		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
  		'comment_notes_after'  => '<p class="form-allowed-tags">' . sprintf( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s' ), ' <code>' . allowed_tags() . '</code>' ) . '</p>',
  		'id_form'              => 'commentform',
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/cron.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/cron.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/cron.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/cron.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 22,28 ****
  function wp_schedule_single_event( $timestamp, $hook, $args = array()) {
  	// don't schedule a duplicate if there's already an identical event due in the next 10 minutes
  	$next = wp_next_scheduled($hook, $args);
! 	if ( $next && $next <= $timestamp + 600 )
  		return;
  
  	$crons = _get_cron_array();
--- 22,28 ----
  function wp_schedule_single_event( $timestamp, $hook, $args = array()) {
  	// don't schedule a duplicate if there's already an identical event due in the next 10 minutes
  	$next = wp_next_scheduled($hook, $args);
! 	if ( $next && $next <= $timestamp + 10 * MINUTE_IN_SECONDS )
  		return;
  
  	$crons = _get_cron_array();
***************
*** 192,201 ****
   *
   * @return null Cron could not be spawned, because it is not needed to run.
   */
! function spawn_cron( $local_time = 0 ) {
  
! 	if ( ! $local_time )
! 		$local_time = microtime( true );
  
  	if ( defined('DOING_CRON') || isset($_GET['doing_wp_cron']) )
  		return;
--- 192,201 ----
   *
   * @return null Cron could not be spawned, because it is not needed to run.
   */
! function spawn_cron( $gmt_time = 0 ) {
  
! 	if ( ! $gmt_time )
! 		$gmt_time = microtime( true );
  
  	if ( defined('DOING_CRON') || isset($_GET['doing_wp_cron']) )
  		return;
***************
*** 206,216 ****
  	*/
  	$lock = get_transient('doing_cron');
  
! 	if ( $lock > $local_time + 10*60 )
  		$lock = 0;
  
  	// don't run if another process is currently running it or more than once every 60 sec.
! 	if ( $lock + WP_CRON_LOCK_TIMEOUT > $local_time )
  		return;
  
  	//sanity check
--- 206,216 ----
  	*/
  	$lock = get_transient('doing_cron');
  
! 	if ( $lock > $gmt_time + 10 * MINUTE_IN_SECONDS )
  		$lock = 0;
  
  	// don't run if another process is currently running it or more than once every 60 sec.
! 	if ( $lock + WP_CRON_LOCK_TIMEOUT > $gmt_time )
  		return;
  
  	//sanity check
***************
*** 219,232 ****
  		return;
  
  	$keys = array_keys( $crons );
! 	if ( isset($keys[0]) && $keys[0] > $local_time )
  		return;
  
  	if ( defined('ALTERNATE_WP_CRON') && ALTERNATE_WP_CRON ) {
  		if ( !empty($_POST) || defined('DOING_AJAX') )
  			return;
  
! 		$doing_wp_cron = sprintf( '%.22F', $local_time );
  		set_transient( 'doing_cron', $doing_wp_cron );
  
  		ob_start();
--- 219,232 ----
  		return;
  
  	$keys = array_keys( $crons );
! 	if ( isset($keys[0]) && $keys[0] > $gmt_time )
  		return;
  
  	if ( defined('ALTERNATE_WP_CRON') && ALTERNATE_WP_CRON ) {
  		if ( !empty($_POST) || defined('DOING_AJAX') )
  			return;
  
! 		$doing_wp_cron = sprintf( '%.22F', $gmt_time );
  		set_transient( 'doing_cron', $doing_wp_cron );
  
  		ob_start();
***************
*** 241,251 ****
  		return;
  	}
  
! 	$doing_wp_cron = sprintf( '%.22F', $local_time );
  	set_transient( 'doing_cron', $doing_wp_cron );
  
! 	$cron_url = site_url( 'wp-cron.php?doing_wp_cron=' . $doing_wp_cron );
! 	wp_remote_post( $cron_url, array( 'timeout' => 0.01, 'blocking' => false, 'sslverify' => apply_filters( 'https_local_ssl_verify', true ) ) );
  }
  
  /**
--- 241,256 ----
  		return;
  	}
  
! 	$doing_wp_cron = sprintf( '%.22F', $gmt_time );
  	set_transient( 'doing_cron', $doing_wp_cron );
  
! 	$cron_request = apply_filters( 'cron_request', array(
! 		'url' => site_url( 'wp-cron.php?doing_wp_cron=' . $doing_wp_cron ),
! 		'key' => $doing_wp_cron,
! 		'args' => array( 'timeout' => 0.01, 'blocking' => false, 'sslverify' => apply_filters( 'https_local_ssl_verify', true ) )
! 	) );
! 
! 	wp_remote_post( $cron_request['url'], $cron_request['args'] );
  }
  
  /**
***************
*** 264,281 ****
  	if ( false === $crons = _get_cron_array() )
  		return;
  
! 	$local_time = microtime( true );
  	$keys = array_keys( $crons );
! 	if ( isset($keys[0]) && $keys[0] > $local_time )
  		return;
  
  	$schedules = wp_get_schedules();
  	foreach ( $crons as $timestamp => $cronhooks ) {
! 		if ( $timestamp > $local_time ) break;
  		foreach ( (array) $cronhooks as $hook => $args ) {
  			if ( isset($schedules[$hook]['callback']) && !call_user_func( $schedules[$hook]['callback'] ) )
  				continue;
! 			spawn_cron( $local_time );
  			break 2;
  		}
  	}
--- 269,286 ----
  	if ( false === $crons = _get_cron_array() )
  		return;
  
! 	$gmt_time = microtime( true );
  	$keys = array_keys( $crons );
! 	if ( isset($keys[0]) && $keys[0] > $gmt_time )
  		return;
  
  	$schedules = wp_get_schedules();
  	foreach ( $crons as $timestamp => $cronhooks ) {
! 		if ( $timestamp > $gmt_time ) break;
  		foreach ( (array) $cronhooks as $hook => $args ) {
  			if ( isset($schedules[$hook]['callback']) && !call_user_func( $schedules[$hook]['callback'] ) )
  				continue;
! 			spawn_cron( $gmt_time );
  			break 2;
  		}
  	}
***************
*** 313,321 ****
   */
  function wp_get_schedules() {
  	$schedules = array(
! 		'hourly' => array( 'interval' => 3600, 'display' => __('Once Hourly') ),
! 		'twicedaily' => array( 'interval' => 43200, 'display' => __('Twice Daily') ),
! 		'daily' => array( 'interval' => 86400, 'display' => __('Once Daily') ),
  	);
  	return array_merge( apply_filters( 'cron_schedules', array() ), $schedules );
  }
--- 318,326 ----
   */
  function wp_get_schedules() {
  	$schedules = array(
! 		'hourly'     => array( 'interval' => HOUR_IN_SECONDS,      'display' => __( 'Once Hourly' ) ),
! 		'twicedaily' => array( 'interval' => 12 * HOUR_IN_SECONDS, 'display' => __( 'Twice Daily' ) ),
! 		'daily'      => array( 'interval' => DAY_IN_SECONDS,       'display' => __( 'Once Daily' ) ),
  	);
  	return array_merge( apply_filters( 'cron_schedules', array() ), $schedules );
  }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/default-constants.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/default-constants.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/default-constants.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/default-constants.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 20,26 ****
  		if( is_multisite() ) {
  			define('WP_MEMORY_LIMIT', '64M');
  		} else {
! 			define('WP_MEMORY_LIMIT', '32M');
  		}
  	}
  
--- 20,26 ----
  		if( is_multisite() ) {
  			define('WP_MEMORY_LIMIT', '64M');
  		} else {
! 			define('WP_MEMORY_LIMIT', '40M');
  		}
  	}
  
***************
*** 39,46 ****
  		$blog_id = 1;
  
  	// set memory limits.
! 	if ( function_exists('memory_get_usage') && ( (int) @ini_get('memory_limit') < abs(intval(WP_MEMORY_LIMIT)) ) )
! 		@ini_set('memory_limit', WP_MEMORY_LIMIT);
  
  	if ( !defined('WP_CONTENT_DIR') )
  		define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' ); // no trailing slash, full paths only - WP_CONTENT_URL is defined further down
--- 39,49 ----
  		$blog_id = 1;
  
  	// set memory limits.
! 	if ( function_exists( 'memory_get_usage' ) ) {
! 		$current_limit = @ini_get( 'memory_limit' );
! 		if ( -1 != $current_limit && ( -1 == WP_MEMORY_LIMIT || ( intval( $current_limit ) < abs( intval( WP_MEMORY_LIMIT ) ) ) ) )
! 			@ini_set( 'memory_limit', WP_MEMORY_LIMIT );
! 	}
  
  	if ( !defined('WP_CONTENT_DIR') )
  		define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' ); // no trailing slash, full paths only - WP_CONTENT_URL is defined further down
***************
*** 69,74 ****
--- 72,85 ----
  
  	if ( !defined('SHORTINIT') )
  		define('SHORTINIT', false);
+ 
+ 	// Constants for expressing human-readable intervals
+ 	// in their respective number of seconds.
+  	define( 'MINUTE_IN_SECONDS', 60 );
+  	define( 'HOUR_IN_SECONDS',   60 * MINUTE_IN_SECONDS );
+  	define( 'DAY_IN_SECONDS',    24 * HOUR_IN_SECONDS   );
+ 	define( 'WEEK_IN_SECONDS',    7 * DAY_IN_SECONDS    );
+  	define( 'YEAR_IN_SECONDS',  365 * DAY_IN_SECONDS    );
  }
  
  /**
***************
*** 293,298 ****
  	 * @since 3.0.0
  	 */
  	if ( !defined('WP_DEFAULT_THEME') )
! 		define( 'WP_DEFAULT_THEME', 'twentyeleven' );
  
  }
--- 304,309 ----
  	 * @since 3.0.0
  	 */
  	if ( !defined('WP_DEFAULT_THEME') )
! 		define( 'WP_DEFAULT_THEME', 'twentytwelve' );
  
  }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/default-filters.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/default-filters.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/default-filters.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/default-filters.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 249,255 ****
  add_action( 'shutdown',                   'wp_ob_end_flush_all',                      1    );
  add_action( 'pre_post_update',            'wp_save_post_revision'                          );
  add_action( 'publish_post',               '_publish_post_hook',                       5, 1 );
- add_action( 'save_post',                  '_save_post_hook',                          5, 2 );
  add_action( 'transition_post_status',     '_transition_post_status',                  5, 3 );
  add_action( 'transition_post_status',     '_update_term_count_on_transition_post_status', 10, 3 );
  add_action( 'comment_form',               'wp_comment_form_unfiltered_html_nonce'          );
--- 249,254 ----
***************
*** 258,263 ****
--- 257,263 ----
  add_action( 'admin_init',                 'send_frame_options_header',               10, 0 );
  add_action( 'importer_scheduled_cleanup', 'wp_delete_attachment'                           );
  add_action( 'upgrader_scheduled_cleanup', 'wp_delete_attachment'                           );
+ add_action( 'welcome_panel',              'wp_welcome_panel'                               );
  
  // Navigation menu actions
  add_action( 'delete_post',                '_wp_delete_post_menu_item'         );
***************
*** 282,285 ****
--- 282,291 ----
  add_action( 'admin_init', 'register_admin_color_schemes', 1);
  add_action( 'admin_color_scheme_picker', 'admin_color_scheme_picker' );
  
+ // If the upgrade hasn't run yet, assume link manager is used.
+ add_filter( 'default_option_link_manager_enabled', '__return_true' );
+ 
+ // This option no longer exists; tell plugins we always support auto-embedding.
+ add_filter( 'default_option_embed_autourls', '__return_true' );
+ 
  unset($filter, $action);
